---
title: Recognize
slug: recognize
docTags: 
createdAt: 2022-04-12T12:29:53.000Z
---

Create a request for processing a group of photos.

Images are processed in batches - scenes. A report is generated for all images in the scene. In one scene, there can be photos of different parts of one shelf or photos of several shelves of the same product category.

Images must be pre-loaded into the system via [/uploads](https://docs.eyrene.com/uploads#ou-post-uploads) or [/uploads\_by\_url](https://docs.eyrene.com/uploads#or-get-uploadsid).

:::hint{type="info"}
**Note**

The number of requests to the point is limited to **100 requests per minute**.
:::

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/recognize/",
  "name": "Request Example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "images ",
        "type": "Object",
        "description": "List of strings.\nList of image IDs for processing."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "List of displays ID.\nThe field is optional, but some report types are not available without the display, e.g. Planogram Compliance and Must Have List."
      },
      {
        "kind": "optional",
        "name": "report_types",
        "type": "Object",
        "description": "List of strings.\nList of reports to be generated."
      },
      {
        "kind": "optional",
        "name": "visit",
        "type": "string",
        "description": "Use this field to include images to a previously created visit.\nThe field is optional. If not specified, a new visit will be created."
      },
      {
        "kind": "optional",
        "name": "datetime",
        "type": "string",
        "description": "The field is optional. If you need to specify the date and time of the visit."
      },
      {
        "kind": "optional",
        "name": "webhook",
        "type": "string",
        "description": "Use webhook to reduce latency. If specified, the reports will be sent by POST request to this URL immediately when ready (one by one).\nThe field is optional. If not specified, the client should explicitly poll reports."
      },
      {
        "kind": "optional",
        "name": "panorama_stack_height",
        "type": "Number",
        "description": "Hint to panorama stitching engine, see PANORAMA report."
      },
      {
        "kind": "optional",
        "name": "panorama_stack_width",
        "type": "Number",
        "description": "Hint to panorama stitching engine, see PANORAMA report."
      },
      {
        "kind": "optional",
        "name": "counry_code",
        "type": "string",
        "description": "Two-character сountry code to specify from which country the sku on the photo eg «RU», «KZ». Standart ISO 3166 (A2)."
      },
      {
        "kind": "optional",
        "name": "retail_chain",
        "type": "string",
        "description": "Use retail_chain to define retail chain that owns the shop."
      },
      {
        "kind": "optional",
        "name": "metadata",
        "type": "Object",
        "description": "Dictionary of additional parameters."
      },
      {
        "kind": "optional",
        "name": "metadata/agent_id",
        "type": "string",
        "description": "Agent Client ID . If the agent exists and the name has been changed, it will be updated. The created scene will be associated with this agent."
      },
      {
        "kind": "optional",
        "name": "metadata/agent_name",
        "type": "string",
        "description": "Agent name. Used to create or update an agent."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "aMsTZ-NwixSB5yS7CnRNF",
        "code": "{\n   \"id\":11234,\n   \"images\":[\n      156673,\n      156674,\n      156675,\n      156676\n   ],\n   \"display\":13,\n   \"scene\":\"4d8b66992cd841f6922723afe9bd8cf8\",\n   \"reports\":{\n      \"FACING_COUNT\":1786,\n      \"PLANOGRAM_COMPLIANCE\":1789\n   }\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "aMsTZ-NwixSB5yS7CnRNF"
  },
  "examples": {
    "languages": [
      {
        "id": "NOme199LFcAdUhw16WZeZ",
        "code": "{\n   \"images\":[\n      156673,\n      156674,\n      156675,\n      156676\n   ],\n   \"display\":13,\n   \"report_types\":[\n      \"FACING_COUNT\",\n      \"PLANOGRAM_COMPLIANCE\"\n   ],\n   \"country_code\":\"RU\",\n   \"metadata\":{\n      \"agent_id\":23,\n      \"agent_name\":\"Paul McCartney\"\n   }\n}",
        "language": "json",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "NOme199LFcAdUhw16WZeZ"
  },
  "description": "POST /recognize",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "OGdnCzRUlhmxoyiPfQ9Bv"
}
```
:::

In response, the system will return report identifiers. The reports can be accessed later using [/reports](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/reports/reports).

If a webhook is specified, once the reports are generated, JSON will be sent to it with a POST request.

:::CodeblockTabs
201

```json
{
   "id":11234,
   "images":[
      156673,
      156674,
      156675,
      156676
   ],
   "display":13,
   "reports":{
      "1786":{// report in JSON-text
         
      },
      "1786":{// report in JSON-text
         
      }
   }
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/recognition/recognize#response-definitions)

***

`id` *string (ID)*

Report ID.

***

`images` *list of strings*

List of image ID's from the request.

***

`display` *integer*

List of display IDs.

***

`reports` *dictionary report type -> report ID.*

Report ID's for the scene.

***

`scene` *string*

Uuid created scene ID.

***

